Modem Huawei E182E Movilnet Funcionando en GNU/Linux

Modem HSPA Huawei E182E

Hace un par de días que tengo en mis manos un Módem USB HSPA Huawei E182E de Movilnet y quería hacerlo funcionar sobre Archlinux. El problema es que dicho dispositivo no es reconocido de manera automática por la mayoría de las distribuciones GNU/Linux, ya que depende de un controlador privativo para montar la Unidad de Almacenamiento Masivo SCSI (Tipo Pendrive) donde se encuentra el software de Huawei para su funcionamiento y me niego a instalar dicho controlador en mi laptop.

La primera solución que se me ocurrió fue la de montar el dispositivo en un PC con M$ Guindows, y extraer la carpeta con el software de Huawei para instalarlo en mi laptop con Arch. Este procedimiento es muy sencillo y permite tener funcionando el Modem en unos pocos minutos. He aqui el procedimiento:

Requisitos: Tener instalados gcc, make y kernel build en nuestro sistema. Podemos hacerlo en Archlinux de la siguiente manera:

$ sudo pacman -Sy gcc make kernel26-headers

Opcional: Tener instalado Ndiswrapper para instalar el soporte SCSI del dispositivo (No es necesario si solo queremos usar el Módem)

$ sudo pacman -Sy ndiswrapper

Luego de cumplir con los requisitos seguimos los siguientes pasos:

  • Pedir prestada una computadora a un amigo con M$ Guindows para conectar el Modem y extraer la carpeta “Linux” allí almacenada. Si no tienen un equipo con ese “Sistema Operativo” a la mano, acá les dejo una copia de la carpeta para la descarga.
  • Copiar la carpeta en un lugar apropiado (Puede ser su carpeta personal) y desde la terminal ingresar en ella:

$ cd linux

  • Otorgarle permiso de ejecución al script de instalación:

$ chmod +x install

  • Ejecutamos el script de instalación como root:

# ./install

o si disponen de sudo

$ sudo ./install

  • En este punto, el script verifica si ya existe una instalación anterior y, de ser así, solicita permiso para sobreescribirla. En caso de una instalación nueva solicitara el path de instalación (Si no están seguros dejen el que aparece por defecto):

  • Si decidimos no instalar ndiswrapper, u ocurrió un error durante la instalacion del dispositivo SCSI, el script les dará un mensaje. No se asusten, esto solo significa que no podrán entrar a la partición de almacenamiento del dispositivo, paro podrán continuar con la instalación del Módem.

  • Presionamos cualquier tecla para finalizar con la instalación del Módem:

  • Una vez finalizado el proceso solo resta conectar nuestro dispositivo y la aplicación “Huawei Conexión” se iniciara de forma automática (de no hacerlo podemos iniciarla desde Aplicaciones -> Internet -> Huawei Conexión), le damos conectar y a disfrutar de nuestra conexión 3G :D

Referral Banners

10 pensamientos en “Modem Huawei E182E Movilnet Funcionando en GNU/Linux

  1. Pingback: Tweets that mention Modem Huawei E182E Movilnet Funcionando en GNU/Linux « Tecnología, Software Libre y algo Más -- Topsy.com

    • tienes que tener instalado gcc y make, e intenta con este método. si no funciona, puedes utilizar un script llamado Sakis3G, googlea un poco sobre el. En esta semana estaré elaborando un tutorial de como usar ese script para que tengan otra alternativa

    • yo tambin tengo uno y lo utilizo con linux !conecta el modem con la computadora apagada y lluego la prendes el programa se instala solo y despues le das a conectar y listo….

  2. hola solo quiero dejar una opinion sobre los moden que posee movilnet en venezuela , bueno me parece algo espectacular ya que podemos dar fe que la tecnologia cada dia avanza , pero se debe colocar abierto y no que sea limitado , es decir la renta vale 80 bilivares fuerte por que no mejor incrementan la renta y se deja libre eso seria muy bien para el usuario ya que es la unica queja que dicen los vecinos gracias y tomel en cuenta .

    • Saludos Jose, Gracias por tu comentario.

      Movilnet ofrece un plan ilimitado por Bs.F 150 pero es para clientes postpago. En el caso de Prepago está limitado hasta 2048 Mb al mes. creo que este es el mismo caso en todas las operadoras del país, y es lógico, ya que con esto promueven la migración a Postpago que es mas rentable para ellos.

  3. Hola! tengo uno, pero cuando lo conecto a la pc dice que no se puede instalar porque no tiene el software necesario, de verdad lo necesito con urgencia! les pido que respondan a la brevedad posible. es URGENTE se los agradecería en el alma.

Deja un comentario

Tu dirección de correo electrónico no será publicada.

Puedes usar las siguientes etiquetas y atributos HTML: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>